summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrea Diamantini <adjam7@gmail.com>2008-12-27 10:14:37 +0100
committerAndrea Diamantini <adjam7@gmail.com>2008-12-27 10:14:37 +0100
commit8438e0c0e3b60e83838425ecdbbe8afff5f67917 (patch)
tree652c6aecc37d7fa16d0a06df98e3e16bb7bc8ba3
parentComment (diff)
downloadrekonq-8438e0c0e3b60e83838425ecdbbe8afff5f67917.tar.xz
Added SlackBuild
-rw-r--r--rekonq.SlackBuild80
1 files changed, 80 insertions, 0 deletions
diff --git a/rekonq.SlackBuild b/rekonq.SlackBuild
new file mode 100644
index 00000000..eefdc684
--- /dev/null
+++ b/rekonq.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+# Slackware build script for $NAME
+# Heavily based on the Slackware 12.2 SlackBuild
+# Written by Andrea Diamantini - adjam7_AT_gmail_DOT_com
+
+NAME=rekonq
+VERSION=0.0.2
+ARCH=${ARCH:-i486}
+BUILD=1ad
+
+# working dirs
+CWD=$(pwd)
+TMP=$CWD/tmp
+BUILDIR=$TMP/build
+PKG=$TMP/package-$NAME
+
+KDEPREFIX=$(kde4-config --prefix)
+
+JOBS=${JOBS:-2} # Might not be wanted or needed in some cases
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O3 -march=i686 -pipe -fomit-frame-pointer"
+elif [ "$ARCH" = "athlon64" ]; then
+ SLKCFLAGS="-O2 -march=athlon64 -pipe"
+elif [ "$ARCH" = "athlonxp" ]; then
+ SLKCFLAGS="-O3 -march=athlon-xp -pipe -fomit-frame-pointer"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+rm -rf $TMP
+mkdir -p $TMP $PKG $BUILDIR
+
+cd $BUILDIR
+
+# configure option for $NAME
+cmake \
+-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+-DCMAKE_INSTALL_PREFIX=$KDEPREFIX \
+-DCMAKE_BUILD_TYPE=release \
+$CWD
+
+# Compile the application and install it into the $PKG directory
+nice make -j $JOBS || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries and libraries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+# Copy program documentation into the package
+# Also, include the SlackBuild script in the documentation directory
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+$PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+# Copy the slack-desc (and a custom doinst.sh if necessary) into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Make the package;
+# If package symlinks need to be created during install *before*
+# your custom contents of doinst.sh runs, then add the -p switch to
+# the makepkg command below -- see makepkg(8) for details
+cd $PKG
+/sbin/makepkg -l y -c n $CWD/$NAME-$VERSION-$ARCH-$BUILD.tgz
+
+# remove unnecessary tmp dir..
+rm -rf $TMP
+
+# echo "done"
+echo "done! Yuppy!!"
+